EarPluginConvention (Gradle API 8.11.1)

Package org.gradle.plugins.ear

## Class EarPluginConvention

- java.lang.Object
- - org.gradle.plugins.ear.EarPluginConvention

-     @Deprecated
      public abstract class EarPluginConvention
      extends java.lang.Object

  Deprecated.
  Instead of using conventions, configure the tasks directly. This class is scheduled for removal in Gradle 9.0.
  Ear Plugin Convention.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EarPluginConvention()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract void` | `appDirName​(java.lang.String appDirName)` | Deprecated. Allows changing the application directory.
    `abstract EarPluginConvention` | `deploymentDescriptor​(Closure configureClosure)` | Deprecated. Configures the deployment descriptor for this EAR archive.
    `abstract EarPluginConvention` | `deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)` | Deprecated. Configures the deployment descriptor for this EAR archive.
    `abstract java.lang.String` | `getAppDirName()` | Deprecated. The name of the application directory, relative to the project directory.
    `abstract DeploymentDescriptor` | `getDeploymentDescriptor()` | Deprecated. A custom deployment descriptor configuration.
    `abstract Property<java.lang.Boolean>` | `getGenerateDeploymentDescriptor()` | Deprecated. Specifies if the deploymentDescriptor should be generated if it does not exist.
    `abstract java.lang.String` | `getLibDirName()` | Deprecated. The name of the library directory in the EAR file.
    `abstract void` | `libDirName​(java.lang.String libDirName)` | Deprecated. Allows changing the library directory in the EAR file.
    `abstract void` | `setAppDirName​(java.lang.String appDirName)` | Deprecated.
    `abstract void` | `setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)` | Deprecated.
    `abstract void` | `setLibDirName​(java.lang.String libDirName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EarPluginConvention

          public EarPluginConvention()

      Deprecated.

  - ### Method Detail

    - #### getAppDirName

          public abstract java.lang.String getAppDirName()

      Deprecated.
      The name of the application directory, relative to the project directory. Default is "src/main/application".

    - #### setAppDirName

          public abstract void setAppDirName​(java.lang.String appDirName)

      Deprecated.

    - #### appDirName

          public abstract void appDirName​(java.lang.String appDirName)

      Deprecated.
      Allows changing the application directory. Default is "src/main/application".

    - #### getLibDirName

          public abstract java.lang.String getLibDirName()

      Deprecated.
      The name of the library directory in the EAR file. Default is "lib".

    - #### setLibDirName

          public abstract void setLibDirName​(java.lang.String libDirName)

      Deprecated.

    - #### libDirName

          public abstract void libDirName​(java.lang.String libDirName)

      Deprecated.
      Allows changing the library directory in the EAR file. Default is "lib".

    - #### getGenerateDeploymentDescriptor

          public abstract Property<java.lang.Boolean> getGenerateDeploymentDescriptor()

      Deprecated.
      Specifies if the deploymentDescriptor should be generated if it does not exist. Default is true.
      Since:
        6.0

    - #### getDeploymentDescriptor

          public abstract DeploymentDescriptor getDeploymentDescriptor()

      Deprecated.
      A custom deployment descriptor configuration. Default is an "application.xml" with sensible defaults.

    - #### setDeploymentDescriptor

          public abstract void setDeploymentDescriptor​(DeploymentDescriptor deploymentDescriptor)

      Deprecated.

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(@DelegatesTo(DeploymentDescriptor.class)
                                                                   Closure configureClosure)

      Deprecated.
      Configures the deployment descriptor for this EAR archive.

      The given closure is executed to configure the deployment descriptor. The `DeploymentDescriptor` is passed to the closure as its delegate.

      Parameters:
        `configureClosure` - The closure.
      Returns:
        This.

    - #### deploymentDescriptor

          public abstract EarPluginConvention deploymentDescriptor​(Action<? super DeploymentDescriptor> configureAction)

      Deprecated.
      Configures the deployment descriptor for this EAR archive.

      The given action is executed to configure the deployment descriptor.

      Parameters:
        `configureAction` - The action.
      Returns:
        This.
      Since:
        3.5